<template>
  <div id="context-menu" ref="menu">
    <span>Zablokuj użytkownika</span> <v-icon color="error">mdi-cancel</v-icon>
  </div>
</template>
<script>
import { ref, onMounted } from "vue";

export default {
  name: "ContentMenuComponent",
  props: {
    position: {
      required: true,
    },
  },
  setup(props) {
    const menu = ref(null);

    onMounted(() => {
      menu.value.style.position = 'absolute';
      menu.value.style.right = props.position[0] - 198 + 'px';
      menu.value.style.top = props.position[1] - 125 + 'px';
    });

    return { menu };
  },
};
</script>
<style scoped>
#context-menu {
  display: flex;
  flex-direction: row;
  padding: 7px;
  cursor: pointer;
  background: rgba(200, 200, 200, 0.9);
  animation-duration: 1s;
  animation-name: slidein;
  animation-iteration-count: 1;
  animation-direction: normal;
}

@keyframes slidein {
  from {
    width: 0%;
  }

  to {
    /* margin-left: 0%; */
    width: 100%;
  }
}
</style>
